#ifndef BUTTON_H_INCLUDED
#define BUTTON_H_INCLUDED

#include <string>

#include <SDL2/SDL.h>
#include <SDL2/SDL_ttf.h>
#include "SDL2_gfxPrimitives.h"

#include "text.h"

extern SDL_Renderer* sdlRenderer;

/**
 * @class Button
 * @author zsmb
 * @brief A button to be used inside the Menu class
 */
class Button {
    const unsigned x;       //!< x coordinate
    const unsigned y;       //!< y coordinate
    const unsigned w;       //!< Width
    const unsigned h;       //!< Height
    unsigned key;           //!< SDL key number for button
    std::string text;       //!< Text to be displayed on the button
    std::string key_label;  //!< Name of the key associated with the button
public:
    Button(unsigned x, unsigned y, unsigned w, unsigned h, unsigned key, std::string text, std::string key_label);
    bool clicked(unsigned mouse_x, unsigned mouse_y) const;
    bool pressed(unsigned key) const;
    void draw() const;
};

#endif // BUTTON_H_INCLUDED
